Bug 865998 - kernel-3.6.1-1.fc17.x86_64 full cpu load
kernel-3.6.1-1.fc17.x86_64 full cpu load
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 03:31 EDT by jan p. springer
Modified: 2013-03-13 08:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 08:21:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
powertop idle stats (52.43 KB, image/png)
2012-10-28 17:49 EDT, jan p. springer
no flags Details
powertop frequency stats (46.88 KB, image/png)
2012-10-28 17:50 EDT, jan p. springer
no flags Details
powertop device stats (104.14 KB, image/png)
2012-10-28 17:50 EDT, jan p. springer
no flags Details

  None (edit)
Description jan p. springer 2012-10-13 03:31:15 EDT
Description of problem:
kernel-3.6.1-1.fc17.x86_64 runs at full cpu speed (thinkpad x1; http://www.smolts.org/client/show/pub_6e14dcd1-2e28-4a5b-9eb0-493939585f99); laptop case is getting really, really hot. booting to kernel-3.5.6-1.fc17.x86_64 works as expected, i.e. cpu power stepping does work.

i tried to report w/ abrt (to get add'l info automatically collected), bat does not seem be a use case for abrt.

Version-Release number of selected component (if applicable):
kernel-3.6.1-1.fc17.x86_64

How reproducible:
everytime

Steps to Reproduce:
1. boot into kernel-3.6.1-1
2.
3.
  
Actual results:
laptop runs really hot

Expected results:
cpu power stepping works

Additional info:
Comment 1 Dave Jones 2012-10-17 14:57:02 EDT
if the cpu frequency isn't changing, it's likely because something is keeping it busy.

what does top say when it's hot ? or powertop ?
Comment 2 jan p. springer 2012-10-17 16:26:26 EDT
nothing unusual. top shows things running at usual load, i.e. thunderbird being on top with approx. <15%. powertop only shows that the fan is running at 4000+ rpm. i'm running fedora on the laptop for 3/4 year, but never did it get that hot. it was basiccaly running in turbo mode all the time.

i removed that kernel from the system (to prevent accidents). do need me to reinstall and test sth. or gather info? if so, whoich/what?
Comment 3 jan p. springer 2012-10-28 17:48:13 EDT
updated to 3.6.3-1.fc17.x86_64. after suspend, laptop comes up and fan goes into full speed. powertop shows practically no cpu load but 100% gpu activity, which is odd because nothing gpu demanding is running. see attachments.
Comment 4 jan p. springer 2012-10-28 17:49:30 EDT
Created attachment 634759 [details]
powertop idle stats
Comment 5 jan p. springer 2012-10-28 17:50:00 EDT
Created attachment 634760 [details]
powertop frequency stats
Comment 6 jan p. springer 2012-10-28 17:50:24 EDT
Created attachment 634761 [details]
powertop device stats
Comment 7 jan p. springer 2012-11-08 10:25:23 EST
i'm currently running 3.6.5-1.fc17.x86_64 and the problem persists. however, because of bug 820087 i also installed kernel-debug and was running with it the last couple of days. with kernel-debug everything was fine, though a bit sluggish. when i switched to the "normal" kernel everything seemed fine at first too until i did a suspend/resume cycle. after that the fan immediately starts up and stays at 4000+ rpm. top does not show any process activity above 2%, but powertop reports the gpu being 100% active in the idle stats (and not using any of the rc states), device stats report about 40 ops/s for the gpu.
Comment 8 jan p. springer 2012-11-11 07:22:30 EST
updated to 3.6.6-1.fc17.x86_64. normal kernel still puts the fan into full speed after resume from suspend; both cpu and gpu stats show full speed values in powertop. however, with the debug kernel this does not happen. is the power management/speed stepping broken?
Comment 9 jan p. springer 2012-12-02 12:28:51 EST
- kernel-3.6.7-4.fc17.x86_64 exhibits the problem; kernel-debug-3.6.7-4.fc17.x86_64 doesn't

- kernel-3.6.8-2.fc17.x86_64 also let's the fan as well as the cpus run at full speed; what is new is that this also happens now with kernel-debug-3.6.8-2.fc17.x86_64

any chance this might get fixed sooner than later?
Comment 10 Josh Boyer 2013-03-12 15:16:54 EDT
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?
Comment 11 jan p. springer 2013-03-12 17:15:48 EDT
well, no, i don't see this anymore, but i also switched laptops mid-december last year. so, it's probably best to close this report. thanks.
Comment 12 Josh Boyer 2013-03-13 08:21:32 EDT
OK, thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.